













from typing import TYPE_CHECKING

from ...utils import _LazyModule


_import_structure = {"tokenization_bertweet": ["BertweetTokenizer"]}


if TYPE_CHECKING:
    from .tokenization_bertweet import BertweetTokenizer

else:
    import sys

    sys.modules[__name__] = _LazyModule(__name__, globals()["__file__"], _import_structure, module_spec=__spec__)
