












from typing import TYPE_CHECKING

from ...utils import _LazyModule


_import_structure = {"tokenization_wav2vec2_phoneme": ["Wav2Vec2PhonemeCTCTokenizer"]}


if TYPE_CHECKING:
    from .tokenization_wav2vec2_phoneme import Wav2Vec2PhonemeCTCTokenizer
else:
    import sys

    sys.modules[__name__] = _LazyModule(__name__, globals()["__file__"], _import_structure, module_spec=__spec__)
